## genres-0.9.3.tar.bz2

=== Makefile ===
# $Log: Makefile,v $
# Revision 1.11  2006/08/10 21:22:38  khlut
# Make for source archive
#
# Revision 1.10  2006/04/24 20:00:20  khlut
# baze support for mozilla streams
#
# Revision 1.9  2006/04/09 19:08:12  khlut
# plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
# new config parameter "debuglevel" (now is only two debug levels)
# javascript control for debug level is temporary switched off
# string analyse is reordered
#
# Revision 1.8  2006/03/26 10:32:46  khlut
# added support for audio mime types
# bug fixed in makefile local-install rule
#
# Revision 1.7  2006/03/24 20:07:55  khlut
# new mime types added, tuning for slow internet
#
# Revision 1.6  2006/03/19 20:14:31  khlut
# Release number substitution automated
#
# Revision 1.5  2006/02/26 10:25:29  khlut
# mime-type application/x-elphel-ogm added
#
# Revision 1.4  2006/02/26 09:42:26  khlut
# added -fPIC flag for relocatable code, which need for some architectures
#
# Revision 1.3  2005/11/08 21:29:54  khlut
# issues with make of debian package fixed
#
# Revision 1.2  2005/11/04 19:31:40  khlut
# mozilla-conf path autodetection
#
# Revision 1.1.1.1  2005/11/04 09:07:01  khlut
# Release 0.7
# First CVS submition
# Many bugs were fixed
# All source files edited to conform to GPL (copyright and license notices were added)
# GenReS was moved to savannah.nongnu.org
#
RELEASE=$(shell awk -F '[()]' '/\(.*\)/ { print $$2; exit; }' <debian/changelog)
PATH:=${PATH}:/usr/local/mozilla/bin:/usr/lib/mozilla/bin:/opt/mozilla/bin
CFLAGS= -Wall -Os -DXP_UNIX -DMOZ_X11 -DXTHREADS ` mozilla-config --cflags xpcom` -fPIC -DRELEASE="\"${RELEASE}\""
OBJ=main_thread.o observer_thread.o threadqueue.o slavesdir.o storage.o settings.o
INSTALL=install -Dp -g root -o root
LIBPREFIX=$(DESTDIR)/usr/lib
ifdef DESTDIR
MOZILLAD=$(LIBPREFIX)/mozilla
FIREFOXD=$(LIBPREFIX)/mozilla-firefox
LNMF=ln -sf ../../mozilla/plugins/genres.so $(FIREFOXD)/plugins/genres.so
else
MOZILLAD=$(shell mozilla --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
FIREFOXD=$(shell firefox --help | head -1 | sed -e 's/[^ ]\+ //' -e 's|/[^/ ]\+ .*||')
LNMF=ln -sf $(MOZILLAD)/plugins/genres.so $(FIREFOXD)/plugins/genres.so
endif
ALLFILES=$(shell sh ./allfiles.sh)

CXXFLAGS=${CFLAGS}

all: genres.so

genres.so : $(OBJ)
	$(CC) -shared -o $@ $^ $(CFLAGS)

local-install: genres.so
	mkdir -p ~/.mozilla/plugins/
	for i in `sed -e 's!\([^ ]*\)/[^ ]*!\1!g' -e 's! !\n!g' < mplayer-mime-types | sort | uniq` ; do \
	mkdir -p ~/.mozilla/genres/slaves/$$i ; done	
	cp -dpf genres.so ~/.mozilla/plugins/
	cp -dpf config.pl ~/.mozilla/genres/
	cp -dpf slaves/video/mplayer.pl ~/.mozilla/genres/
	for i in `cat mplayer-mime-types` ; do \
	ln -sf ../../mplayer.pl ~/.mozilla/genres/slaves/$$i ; done

install: genres.so mplayer-mime-types
	for i in `sed -e 's!\([^ ]*\)/[^ ]*!\1!g' -e 's! !\n!g' < mplayer-mime-types | sort | uniq` ; do \
	mkdir -p $(LIBPREFIX)/genres/slaves/$$i ; done
	test -z "$(MOZILLAD)" || $(INSTALL) genres.so $(MOZILLAD)/plugins/genres.so
	test -z "$(FIREFOXD)" || $(INSTALL) -d $(FIREFOXD)/plugins
	test -z "$(FIREFOXD)" -o -z "$(MOZILLAD)" || $(LNMF)
	test -z "$(FIREFOXD)" -o ! -z "$(MOZILLAD)"|| $(INSTALL) genres.so $(FIREFOXD)/plugins/genres.so
	$(INSTALL) config.pl $(LIBPREFIX)/genres/config.pl
	$(INSTALL) slaves/video/mplayer.pl $(LIBPREFIX)/genres/mplayer.pl
	for i in `cat mplayer-mime-types` ; do \
	ln -sf ../../mplayer.pl $(LIBPREFIX)/genres/slaves/$$i ; done

clean:
	rm -f *.o genres.so

tar: genres-$(RELEASE).tar.bz2

genres-$(RELEASE).tar.bz2: $(ALLFILES)
	rm -rf genres-$(RELEASE)
	mkdir genres-$(RELEASE)
	cp -val --parents $^ genres-$(RELEASE)/
	tar -cjf $@ genres-$(RELEASE)/
	rm -rf genres-$(RELEASE)

${OBJ}: genres.h

=== debian/changelog ===
genres (0.9.3) unstable; urgency=low

  * rotate, miroor an flip parameters are implemented for simple transformation of the video
    using mplayer filters, rotation is possible to 90, 180 and 270 degree clockwise

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Thu, 10 Aug 2006 13:37:30 +0500

genres (0.9.2) unstable; urgency=low

  * background color for the object can be selected in the config file to black, white or mozilla default;
    see doc/genres.conf
  * added documentation to the package: doc/genres.conf, README.eo.html

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Sun, 14 May 2006 01:22:16 +0500

genres (0.9.1) unstable; urgency=low

  * file descriptor leak fixed

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Wed, 10 May 2006 14:32:06 +0500

genres (0.9.0) unstable; urgency=low

  * string analyse in the plugin reordered
  * plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
  * new config parameter "debuglevel" (now is only two debug levels)
    javascript control for debug level is temporary disabled
  * support for mozilla streams and cache (for src="http|https|ftp...")
  * new config parameter "mozillastreams"
  * pass config parameters to environment variables "GENRES_DEBUGLEVEL" and "GENRES_MOZILLA_STREAMS"
  * add empty printing function to avoid crash on print.

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Thu, 27 Apr 2006 01:29:23 +0500

genres (0.8.11) unstable; urgency=low

  * added marker for end of startup parameters ".\n"
    to prevent player autostart before all parameters accepted by perl script
  * a bug fixed : run=0; run=1 sequence ceased to work
  * framestep, filepos can be seted in tag parameters

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 09 Apr 2006 00:46:41 +0500

genres (0.8.10) unstable; urgency=low

  * support for "autostart" property - start playing when src changed
  * a bug were fixed with dynamic relative url

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 29 Mar 2006 00:54:59 +0500

genres (0.8.9) unstable; urgency=low

  * Timeout and mplayer cache is depended of type of url
  * New mime types were added for video and audio supported by mplayer (grabbed from Plugger)
  * Cache filling progress bar were added 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 26 Mar 2006 15:27:55 +0500

genres (0.8.8) unstable; urgency=low

  * Compatibility with Firefox/1.5.0.1
  * Some null pointer dereferences prevented

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu, 23 Mar 2006 00:56:54 +0400

genres (0.8.7) unstable; urgency=low

  * debug output cleanup
  * dependency cleanup
  * Release number substitution automated
  * ElphelOgm 0.9.5 interactive mode supported

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 19 Mar 2006 23:18:20 +0400

genres (0.8.6) unstable; urgency=low

  * Mime type application/x-elphel-ogm is added for rtp receiving with ElphelOgm.
  * Some checks added in queue code.

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 15 Mar 2006 23:21:15 +0400

genres (0.8.5) unstable; urgency=low

  * New control commands: filepos & framestep
  * Some checks and flags in compilation

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 26 Feb 2006 13:45:06 +0400

genres (0.8.4) unstable; urgency=low

  * Support for frame skiping with ElphelOgm only for rtp url
  * Added run=0 message when user cancel file selection for recording

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 21 Feb 2006 20:12:53 +0400

genres (0.8.3) unstable; urgency=low

  * Support for FireFox 1.5x
  * Support for javascript objects created with document.createElement('object')
    (it is not supported by firefox 1.0.7 or older).
  * Add control for debug output

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Mon, 13 Feb 2006 20:18:36 +0400

genres (0.8.2) unstable; urgency=low

  * A bug with lossing of property values when slave is restarted is fixed again :-)
  * Support for multicast rtp/mjpeg view&record with use of ElphelOgm tool
    (dynamic src changing is not yet supported for rtp, use run=0; src=... ; run=1;)
  * autocange suffixes ogm<->avi

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 07 Feb 2006 16:42:52 +0400

genres (0.8.1) unstable; urgency=low

  * A bug with usage of closed thread is fixed
  * A bug with lossing of property values when slave is restarted is fixed
  * Support for multicast rtp/mjpeg is beginned with use of ElphelOgm tool

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sat, 04 Feb 2006 01:19:58 +0400

genres (0.8.0) unstable; urgency=low

  * Name of the JS variable with message about current frame is unified to "frame"
  * recognition for message from mplayer about playing url
  * support for change of src or href parameter without mplayer process restarting
  * support for sequences of run=0;run=1 which can be used to restart player

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu, 02 Feb 2006 03:19:02 +0400

genres (0.7.3) unstable; urgency=high

  * Security fix (shell command injection)

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 04 Dec 2005 11:26:49 +0400

genres (0.7.2) unstable; urgency=low

  * Minor bug fix Release.
    - watchdog for mplayer now works in linux 2.4 and 2.6 (mplayer.pl)
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Fri, 11 Nov 2005 13:46:44 +0400

genres (0.7.1) unstable; urgency=low

  * Minor bug fix Release.
    - changed link to project page
    - a bug in the watchdog was fixed
    - mozilla-conf path autodetection bug was fixed
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 09 Nov 2005 00:37:19 +0400

genres (0.7) unstable; urgency=low

  * First Debian Release.
  * Bug fixes:
    - make dir for config file
    - with save=auto parameter
    - buffer overflow possibility


=== debian/control ===
Source: genres
Section: web
Priority: optional
Maintainer: Sergey Khlutchin <Sergey dot Khlutchin at gmail com>
Build-Depends: debhelper (>= 4.0.0), mozilla-dev (>=1.7.5)
Standards-Version: 3.6.1

Package: genres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgtk2-perl, mozilla-browser(>=1.7.5) | mozilla-firefox(>=1.0), mplayer
Suggests: elphel-ogm(>=0.9.5)
Description: Generic reconfigurable scriptable plugin for Mozilla/Firefox
 GenReS is a generic reconfigurable scriptable plugin for Mozilla/Firefox.
 It allows to use external programs for EMBED or OBJECT HTML tags.
 The plugin is supplied with a Perl script for embedding mplayer and mencoder
 in a browser and controlling it with Javascript. It allows to watch video and
 to record it to set of files. Manipulations with object variables in JavaScript
 are translated to a Perl program. Status messages from the controlled program
 (mplayer or mencoder) are translated back to Javascript object variables,
 and Javascript functions are called for notifications.
